> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasvm.md).

# Get-RASVM

### NAME

Get-RASVM\ <br>

### SYNOPSIS

Retrieves VM list from a Provider in real-time.\ <br>

### SYNTAX

Get-RASVM \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVM.html#ProviderId)] *\<uint>* \[\[-[Id](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVM.html#Id)] *\<string>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVM.html#CommonParameters)*>*]\
\
Get-RASVM \[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVM.html#SiteId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASVM.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Retrieves virtual machine information from Provider servers.\
\
It returns an array of objects of type VM, each containing properties of a virtual machine.\
\
To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
Note: the returned object contains only the major properties of a Virtual Machine; it does not include all of the settings supported in RAS.\ <br>

### PARAMETERS

\
-**SiteId \<uint>**\
The site ID from which to retrieve VM information.\
\
If the parameter is omitted, the site ID of the Licensing Server will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
The name of the Provider server.\
\
The name can be either FQDN or IP address, but you have to enter the actual name this server has in the RAS farm.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Id \<string>**\
The virtual machine UUID (universally unique identifier). UUID is assigned to a virtual machine by the hypervisor.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[VM](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VM.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASVM 2 | Format-List\
\
Retrieves a list of virtual machines from the specified Provider in the Licensing Server site.\
\
To get the info from a specific site, use the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include the complete list of returned VM properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASVM -ProviderId 2 -SiteId 2\
\
Retrieves a list of virtual machines from the specified Provider in the specified site.\
\&#xNAN;**---------- EXAMPLE 3 ----------**\
\
Get-RASVM | Format-List\
\
Retrieves a list of all available virtual machines from the Licensing Server site.\
\
To get the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include the complete list of VM returned properties.\
\&#xNAN;**---------- EXAMPLE 4 ----------**\
\
Get-RASVM -ProviderId 2 -Id 42311235-09c5-ca15-337d-b9723015edf0\
\
Retrieves information about a virtual machine specified by ID from the specified Provider server.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasvm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
